Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06156 Interface Minor Always Mar 8, 2016, 09:00 Oct 22, 2016, 15:27
Tester Zaghadka View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.171 Fixed in Version 0.172 Build Normal
Summary MESS-specific 06156: a5200, a7800, smspal, sms1, sms1pal, aes, vectrex, a400, a800, c64, c128: GUI software list cartridge picker fails to select cartridge
Description In the new GUI, you cannot select a cartridge with the above systems from the main interface. You have to TAB menu into "File Manager" after start up and select the cartridge from there.

Please note that sms1's, smspal, and sms1pal's cartridge picker fails, but not sms and the other clones in the set. It may have something to do with selecting the BIOS version before launching, as the failing sets make you choose a BIOS version after selecting the cartridge.

Other sets, such as nes and snes, the cartridge picker works fine and loads the cartridge after selection in the MAME GUI.

Expected behavior is that the cartridge software list picker that appears after the set is chosen in the MAME GUI will load the cartridge selected at start of emulation.
Steps To Reproduce Select set. Select a cartridge from the software list menu. Machine starts up with no cartridge. Need to press TAB and use "File Manager" to select cartridge from software list.
Additional Information
Flags
Regression Version 0.171
Affected Sets / Systems a5200, a7800, smspal, sms1, sms1pal, aes, vectrex, a400, a800, c64, c128
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.12442
Zaghadka
Tester
Mar 8, 2016, 09:13
edited on: Mar 8, 2016, 09:15
All of these sets make you choose BIOS after setting the cartridge in the GUI picker. This may be where the bug occurs.

User avatar
No.12448
B2K24
Moderator
Mar 9, 2016, 03:43
This is fixed in the GIT compile I made about 24 hours ago.